Subject: Re: [PATCH] .mailmap: Update mailmap

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Sep 2021 17:32:50 -0700

Jeff King <[email-masked]> writes:

> On Fri, Sep 10, 2021 at 03:22:47PM +0000, Gwyneth Morgan wrote:
>
>> The line for Jessica Clarke should probably just be
>> 
>> Jessica Clarke <[email-masked]>
>> 
>> That works the same and doesn't put a reference to an old name.
>
> Thanks, that's a good suggestion. I kind of wonder if these mass
> mailmap-cleanup patches are a good idea in general. They are making
> assumptions about how people want their names to be represented, and
> whether and how they want any mappings to appear. Maybe that's something
> we should be leaving to people to propose for their own identities.
>
> Of course people who aren't active in the project anymore may not bother
> to do the cleanup, and of course messy data makes me sad. But on the
> whole, I'm not sure it's that big a deal either way.

I am not enthused by the idea of replying to this thread, knowing
that many of the CC'ed addresses will bounce X-<, but I agree with
you on all three counts.  Even for those who are no longer active,
it makes sense to unify multiple idents that are spelled differently
to help "git shortlog", but which one to unify to is not something
we can decide without their input.

Which leads me to suggest something like the attached patch.  I
wrote "Please notify us" for those who are no longer active and
forgot how .mailmap entries are spelled to ask for help correcting.

Of course, the updated instruction does not prevent a motivated
volunteer to contact the people _individually_ and then send in
a patch with entries that the volunteer secured consent, perhaps
in the form of Acked-by ;-)

 .mailmap | 5 +++++
 1 file changed, 5 insertions(+)

diff --git i/.mailmap w/.mailmap
index 9c6a446bdf..20b581c879 100644
--- i/.mailmap
+++ w/.mailmap
@@ -4,6 +4,11 @@
 # and/or not always written the same way, making contributions from the
 # same person appearing not to be so.
 #
+# If you find an incorrect entry that affects yourself, please notify us
+# at <[email-masked]> and suggest corrections.  Because the way people
+# want their names to be represented varies, please refrain from touching
+# entries for other people unless you positively know that the updated
+# entries are what they want.
 
 <[email-masked]> <[email-masked]>
 Alejandro R. Sedeño <[email-masked]> <[email-masked]>